xcb_shm_attach_fd(3)

NAME
xcb_shm_attach_fd - Create a shared memory segment

SYNOPSIS
#include <xcb/shm.h>

  Request function

xcb_void_cookie_t xcb_shm_attach_fd(xcb_connection_t *conn, xcb_shm_seg_t shmseg, int32_t shm_fd, uint8_t read_only);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

shmseg
    A shared memory segment ID created with xcb_generate_id().

shm_fd
    The file descriptor the server should mmap().

read_only
    True if the segment shall be mapped read only by the X11 server, otherwise false.

DESCRIPTION
Create a shared memory segment. The file descriptor will be mapped at offset zero, and the size will be obtained using fstat(). A zero size will result in a Value error.

RETURN VALUE
Returns an xcb_void_cookie_t. Errors (if any) have to be handled in the event loop. If you want to handle errors directly with xcb_request_check instead, use xcb_shm_attach_fd_checked. See xcb-requests(3) for details.

ERRORS
This request does never generate any errors.

SEE ALSO
xcb-requests(3)

AUTHOR
Generated from shm.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.